﻿body {
    padding-top: 50px;
    padding-bottom: 20px;
    background-color: rgba(34, 34, 34, 0.90);
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
    background-color: rgb(230, 224, 224);
}

/* Override the default bootstrap behavior where horizontal description lists
   will truncate terms that are too long to fit in the left column
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea,
div.input-group,
ul.checked-list-box {
    max-width: 280px;
}

/* Align buttons with the controls */
.btn-div {
    width: 280px;
}

.btn-div > .btn {
    float: right;
}

/* Force lists to expand to full width */
.input-group {
    width: 100%;
}

.input-validation-error {
     background: rgb(237, 146, 146)   ;
}

.field-validation-error {
    color: rgb(200, 14, 14);
    font-weight: bold;
}

div.bootstrap-select {
    width: 100% !important;
    max-width: 280px !important;
}

/*Companion Software Custom CSS*/

.form-control[disabled],
.form-control[readonly],
fieldset[disabled] .form-control {
  cursor: default;
}

.progress {
    margin-bottom: 2px;
}

.table td.fit,
.table th.fit {
    white-space: nowrap;
    width: 1%;
}

.checky-box {
    padding: 6px 12px;
}

.tab-content {
    padding-top: 1em;
}

.checked-list-box > li {
    list-style: none;
}

td .btn-link {
    padding-left: 0;
    padding-right: 0;
    float: left;
}

.datepicker-dropdown {
    z-index: 2000 !important;
}

.panelDelayedLoad{
    /*background-color: rgba(212,204,184,0.2);*/
    background-image: url("/Images/placeholder.png");
    background-size: 70%;
    background-position: center;
    background-repeat: no-repeat;
}

.loader {
    margin-top: 10px;
    border: 16px solid rgba(56, 151, 217, 0.99); /* Light grey */
    border-top: 16px solid #337ab7;
    border-bottom: 16px solid #337ab7;/* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
    display: inline-block;

}

.loadContainer {
    display: grid;
    margin: 0 auto;
    place-items: center center;
    height: 200px;
    -ms-flex-align:center;
    text-align: center;

}

@keyframes spin {
     0% { transform: rotate(0deg); }
     100% { transform: rotate(360deg); }
 }

.ddForecast {
    cursor: pointer;
}

#navbar .navbar-right {

}

#navbar .navbar-overflow {
    float: none;
/*    overflow: hidden;*/
    
}

@media (max-width: 768px) {
    #menu-more {
        display: none;
    }

    #navbar {
        overflow-x: hidden;
        overflow-y: scroll;
    }
}

@media (min-width: 769px) {
    #menu-more {
        display: none;
    }

    #menu-more.shown {
        display: block;
    }

    #navbar {
        overflow: hidden;
        width: 100%;
    }
}

#menu-more .dropdown-menu {
    display: none;
}

#menu-more.open > .dropdown-menu, #menu-more .open > .dropdown-menu {
    display: block;
}

.dropdown-submenu {
    position: relative;
}

.dropdown-submenu > .dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -6px;
    margin-left: -1px;
    -webkit-border-radius: 0 6px 6px 6px;
    -moz-border-radius: 0 6px 6px;
    border-radius: 0 6px 6px 6px;
}

.dropdown-submenu:hover > .dropdown-menu {
    display: block;
}

.dropdown-submenu > a:after {
    display: block;
    content: " ";
    float: right;
    width: 0;
    height: 0;
    border-color: transparent;
    border-style: solid;
    border-width: 5px 0 5px 5px;
    border-left-color: #ccc;
    margin-top: 5px;
    margin-right: -10px;
}

.dropdown-submenu:hover > a:after {
    border-left-color: #fff;
}

.dropdown-submenu.pull-left {
    float: none;
}

.dropdown-submenu.pull-left > .dropdown-menu {
    left: -100%;
    margin-left: 10px;
    -webkit-border-radius: 6px 0 6px 6px;
    -moz-border-radius: 6px 0 6px 6px;
    border-radius: 6px 0 6px 6px;
}

.submenu-wrapper {
    position: relative;
    display: block;
    padding: 15px;
}

.submenu-wrapper > a {
    color: #9d9d9d;
    padding: 15px;
    position: relative;
    display: block;
}

div.open > a {
    color: #fff;
    background-color: #080808 !important;
    text-decoration: none;
}

li .submenu-wrapper {
    position: absolute;
}

.page-header > img {
    max-width: 100%;
}

.panel-body {
    overflow-x: auto;
}

#search-grid {
    cursor: pointer;
}

.sticky /* icky */ {
    max-height: calc(100vh - 210px);
    overflow-y: auto;
}

.overflow {
    overflow-y: visible;
}
